Loading...
Searching...
No Matches
pappso::cbor::psm::SageTsvHandler::Line Struct Reference

`#include <sagetsvhandler.h>`

## Public Attributes

int | rank = 0
int | label = 0
double | expmass = 0.0
double | calcmass = 0.0
int | charge = 0
std::size_t | peptide_len
int | missed_cleavages
int | semi_enzymatic
double | isotope_error
double | precursor_ppm
double | fragment_ppm
double | hyperscore
double | delta_next
double | delta_best
double | rt
double | aligned_rt
double | predicted_rt
double | delta_rt_model
double | ion_mobility
double | predicted_mobility
double | delta_mobility
std::size_t | matched_peaks
std::size_t | longest_b
std::size_t | longest_y
double | longest_y_pct
double | matched_intensity_pct
std::size_t | scored_candidates
double | poisson
double | sage_discriminant_score
double | posterior_error
double | spectrum_q
double | peptide_q
double | protein_q
double | ms2_intensity

## Detailed Description

Definition at line 99 of file sagetsvhandler.h.

## Member Data Documentation

## aligned_rt

double pappso::cbor::psm::SageTsvHandler::Line::aligned_rt

Definition at line 116 of file sagetsvhandler.h.

## calcmass

double pappso::cbor::psm::SageTsvHandler::Line::calcmass = 0.0

Definition at line 104 of file sagetsvhandler.h.

## charge

int pappso::cbor::psm::SageTsvHandler::Line::charge = 0

Definition at line 105 of file sagetsvhandler.h.

## delta_best

double pappso::cbor::psm::SageTsvHandler::Line::delta_best

Definition at line 114 of file sagetsvhandler.h.

## delta_mobility

double pappso::cbor::psm::SageTsvHandler::Line::delta_mobility

Definition at line 121 of file sagetsvhandler.h.

## delta_next

double pappso::cbor::psm::SageTsvHandler::Line::delta_next

Definition at line 113 of file sagetsvhandler.h.

## delta_rt_model

double pappso::cbor::psm::SageTsvHandler::Line::delta_rt_model

Definition at line 118 of file sagetsvhandler.h.

## expmass

double pappso::cbor::psm::SageTsvHandler::Line::expmass = 0.0

Definition at line 103 of file sagetsvhandler.h.

## fragment_ppm

double pappso::cbor::psm::SageTsvHandler::Line::fragment_ppm

Definition at line 111 of file sagetsvhandler.h.

## hyperscore

double pappso::cbor::psm::SageTsvHandler::Line::hyperscore

Definition at line 112 of file sagetsvhandler.h.

## ion_mobility

double pappso::cbor::psm::SageTsvHandler::Line::ion_mobility

Definition at line 119 of file sagetsvhandler.h.

## isotope_error

double pappso::cbor::psm::SageTsvHandler::Line::isotope_error

Definition at line 109 of file sagetsvhandler.h.

## label

int pappso::cbor::psm::SageTsvHandler::Line::label = 0

Definition at line 102 of file sagetsvhandler.h.

## longest_b

std::size_t pappso::cbor::psm::SageTsvHandler::Line::longest_b

Definition at line 123 of file sagetsvhandler.h.

## longest_y

std::size_t pappso::cbor::psm::SageTsvHandler::Line::longest_y

Definition at line 124 of file sagetsvhandler.h.

## longest_y_pct

double pappso::cbor::psm::SageTsvHandler::Line::longest_y_pct

Definition at line 125 of file sagetsvhandler.h.

## matched_intensity_pct

double pappso::cbor::psm::SageTsvHandler::Line::matched_intensity_pct

Definition at line 126 of file sagetsvhandler.h.

## matched_peaks

std::size_t pappso::cbor::psm::SageTsvHandler::Line::matched_peaks

Definition at line 122 of file sagetsvhandler.h.

## missed_cleavages

int pappso::cbor::psm::SageTsvHandler::Line::missed_cleavages

Definition at line 107 of file sagetsvhandler.h.

## ms2_intensity

double pappso::cbor::psm::SageTsvHandler::Line::ms2_intensity

Definition at line 134 of file sagetsvhandler.h.

## peptide_len

std::size_t pappso::cbor::psm::SageTsvHandler::Line::peptide_len

Definition at line 106 of file sagetsvhandler.h.

## peptide_q

double pappso::cbor::psm::SageTsvHandler::Line::peptide_q

Definition at line 132 of file sagetsvhandler.h.

## poisson

double pappso::cbor::psm::SageTsvHandler::Line::poisson

Definition at line 128 of file sagetsvhandler.h.

## posterior_error

double pappso::cbor::psm::SageTsvHandler::Line::posterior_error

Definition at line 130 of file sagetsvhandler.h.

## precursor_ppm

double pappso::cbor::psm::SageTsvHandler::Line::precursor_ppm

Definition at line 110 of file sagetsvhandler.h.

## predicted_mobility

double pappso::cbor::psm::SageTsvHandler::Line::predicted_mobility

Definition at line 120 of file sagetsvhandler.h.

## predicted_rt

double pappso::cbor::psm::SageTsvHandler::Line::predicted_rt

Definition at line 117 of file sagetsvhandler.h.

## protein_q

double pappso::cbor::psm::SageTsvHandler::Line::protein_q

Definition at line 133 of file sagetsvhandler.h.

## rank

int pappso::cbor::psm::SageTsvHandler::Line::rank = 0

Definition at line 101 of file sagetsvhandler.h.

## rt

double pappso::cbor::psm::SageTsvHandler::Line::rt

Definition at line 115 of file sagetsvhandler.h.

## sage_discriminant_score

double pappso::cbor::psm::SageTsvHandler::Line::sage_discriminant_score

Definition at line 129 of file sagetsvhandler.h.

## scored_candidates

std::size_t pappso::cbor::psm::SageTsvHandler::Line::scored_candidates

Definition at line 127 of file sagetsvhandler.h.

## semi_enzymatic

int pappso::cbor::psm::SageTsvHandler::Line::semi_enzymatic

Definition at line 108 of file sagetsvhandler.h.

## spectrum_q

double pappso::cbor::psm::SageTsvHandler::Line::spectrum_q

Definition at line 131 of file sagetsvhandler.h.

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/cbor/psm/sage/sagetsvhandler.h